Loading...
Searching...
No Matches
BALL::NumericalSAS::Default Struct Reference

`#include <BALL/STRUCTURE/numericalSAS.h>`

## Static Public Attributes

static const bool | COMPUTE_AREA
static const bool | COMPUTE_VOLUME
static const bool | COMPUTE_SURFACE
static const bool | COMPUTE_SURFACE_PER_ATOM
static const bool | COMPUTE_SURFACE_MAP
static const Size | NUMBER_OF_POINTS
static const float | PROBE_RADIUS

## Detailed Description

Default values for NumericalSAS options.

Definition at line 107 of file numericalSAS.h.

## Member Data Documentation

## COMPUTE_AREA

const bool BALL::NumericalSAS::Default::COMPUTE_AREA

static

This flag decides whether total area and area per atom will be computed (default = true).

Definition at line 112 of file numericalSAS.h.

## COMPUTE_SURFACE

const bool BALL::NumericalSAS::Default::COMPUTE_SURFACE

static

This flag decides whether surface points and normals will be explicitly computed and stored in the class (default = false).

Definition at line 122 of file numericalSAS.h.

## COMPUTE_SURFACE_MAP

const bool BALL::NumericalSAS::Default::COMPUTE_SURFACE_MAP

static

This flag decides whether a vector of (atom center, surface) per atom will be explicitly computed and stored in the class (default = false).

Definition at line 133 of file numericalSAS.h.

## COMPUTE_SURFACE_PER_ATOM

const bool BALL::NumericalSAS::Default::COMPUTE_SURFACE_PER_ATOM

static

This flag decides whether surface points and normals per atom will be explicitly computed and stored in the class (default = false).

Definition at line 128 of file numericalSAS.h.

## COMPUTE_VOLUME

const bool BALL::NumericalSAS::Default::COMPUTE_VOLUME

static

This flag decides whether total volume and volume per atom will be computed (default = true).

Definition at line 117 of file numericalSAS.h.

## NUMBER_OF_POINTS

const Size BALL::NumericalSAS::Default::NUMBER_OF_POINTS

static

Default number of point samples per sphere (400). Please note that this number is a lower limit, since sampling is performed through icosahedron or dodecahedron refinement that cannot produce arbitrary point numbers. (

See also
  Option::NUMBER_OF_POINTS)

Definition at line 140 of file numericalSAS.h.

## PROBE_RADIUS

const float BALL::NumericalSAS::Default::PROBE_RADIUS

static

Default radius of the spherical probe used for the SAS definition (1.5 \AA). (

See also
  Option::PROBE_RADIUS)

Definition at line 145 of file numericalSAS.h.